I am installing VMware-server-2.0.2-203138 on sles 11 sp2 and it conflicts while finding C header file:
Code:
Your kernel was built with "gcc" version "4.3.4", while you are trying to use 
"/usr/bin/gcc" version "4.3". This configuration is not recommended and VMware 
Server may crash if you'll continue. Please try to use exactly same compiler as
one used for building your kernel. Do you want to go with compiler 
"/usr/bin/gcc" version "4.3" anyway? [no] yes

What is the location of the directory of C header files that match your running
kernel? [/usr/src/linux/include]
There is no version.h file in usr/src/linux-{uname -r}/include
I am not getting linux-kernel-headers for 3.0.13-0.27.

My system information is:
Code:
# uname -r
3.0.13-0.27-default

# rpm -qa | grep kernel
kernel-xen-base-3.0.13-0.27.1
linux-kernel-headers-2.6.32-1.4.13
kernel-default-base-3.0.13-0.27.1
kernel-default-devel-3.0.13-0.27.1
kernel-default-3.0.13-0.27.1
kernel-source-3.0.13-0.27.1
kernel-firmware-20110923-0.7.64

# rpm -qa | grep gcc
gcc-info-4.3-62.198
libgcc46-32bit-4.6.1_20110701-0.13.9
gcc43-info-4.3.4_20091019-0.22.17
gcc43-32bit-4.3.4_20091019-0.22.17
gcc-32bit-4.3-62.198
gcc43-4.3.4_20091019-0.22.17
gcc-4.3-62.198
libgcc46-4.6.1_20110701-0.13.9
gcc43-locale-4.3.4_20091019-0.22.17
gcc-locale-4.3-62.198
gcc43-c++-4.3.4_20091019-0.22.17
gcc-c++-4.3-62.198
How to get vmserver installed successfully?